### Method

# Vips Image invalidate_all

#### Declaration [src]

    void
    vips_image_invalidate_all (
      VipsImage* image
    )

#### Description [src]

Invalidate all pixel caches on `image` and any downstream images, that is, images which depend on this image. Additionally, all operations which depend upon this image are dropped from the VIPS operation cache.

You should call this function after destructively modifying an image with something like `vips_draw_circle()`.

The `VipsImage::invalidate` signal is emitted for all invalidated images.

See also

`vips_region_invalidate()`.